

with Ada.Text_IO; use Ada.Text_IO;
with Ada.Strings.Bounded;
use Ada.Strings.Bounded;
with Interfaces.C; use Interfaces.C;
with Interfaces.C.Strings; use Interfaces.C.Strings;
with Terminal_Interface.Curses;


generic
	Max : Natural;
	--	type mystring is private;
	--	type myint is
package ncurses2.genericPuts is
	package BS is new
		Ada.Strings.Bounded.Generic_Bounded_Length(Max);
		use BS;


	procedure myGet (Win : in  Terminal_Interface.Curses.Window := Terminal_Interface.Curses.Standard_Window;
				  Str : out BS.Bounded_String;
				  Len : in  Integer := -1);

	procedure myPut (Str : out BS.Bounded_String; i : Integer;
		Base : in     Number_Base := 10);
		--the default should be Ada.Text_IO.Integer_IO.Default_Base
		-- but Default_Base is hidden in the generic so doesn't exist!
	procedure myAdd (Str : BS.Bounded_String);

 	procedure Fill_String (Cp  : in  chars_ptr; Str : out BS.Bounded_String);
end ncurses2.genericPuts;
