with Terminal_Interface.Curses; use Terminal_Interface.Curses;

with Ada.Text_IO;
package ncurses2.util is

	Blank : constant Character := ' ';
	Blank2 : constant Attributed_Character := 
	( Ch =>Blank, Attr => Normal_Video, Color => Color_Pair'First);


	newl : constant Character :=  Character'Val(10);

	function CTRL(c : Character ) return Key_Code;

	function CTRL(c : Character ) return Character;

	function Getchar( win : Window := Standard_Window) return Key_Code;

	procedure Getchar( win : Window := Standard_Window);

	procedure Pause;


	procedure Cannot (s : String);

	procedure ShellOut(message : Boolean);


	package Int_IO is new Ada.Text_IO.Integer_IO(Integer);


	function Is_Digit(c : Key_Code) return Boolean;

	procedure P(s : String);

	function Code_To_Char(c : Key_Code) return Character;
	function ctoi(c : Character) return Integer;
end ncurses2.util;
